### Method

# Gtk ShortcutTriggerprint_label

#### Declaration [src]

    gboolean
    gtk_shortcut_trigger_print_label (
      GtkShortcutTrigger* self,
      GdkDisplay* display,
      GString* string
    )

#### Description [src]

Prints the given trigger into a string.

This function is returning a translated string for presentation to end users for example in menu items or in help texts.

The `display` in use may influence the resulting string in various forms, such as resolving hardware keycodes or by causing display-specific modifier names.

The form of the representation may change at any time and is not guaranteed to stay identical.

#### Parameters

`display`

  Type: `GdkDisplay`

  `GdkDisplay` to print for.

  The data is owned by the caller of the method.

`string`

  Type: `GString`

  A `GString` to print into.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if something was printed or `FALSE` if the trigger did not have a textual representation suitable for end users.